# $Revision: 1.26 $, $Date: 2004/04/26 15:39:21 $
Summary:	GNOME enabled MP3 play-list editor
Summary(pl):	Edytor playlist MP3 dla GNOME
Name:		gm3u
Version:	0.2
Release:	4
License:	GPL
Vendor:		Bodo Bauer
Group:		X11/Applications/Sound
Source0:	ftp://ftp.bb-zone.com/pub/gm3u/%{name}-%{version}.tar.gz
# Source0-md5:	b248b90599e0497459d1b1d07b5c4ec9
URL:		http://www.bb-zone.com/gm3u/
BuildRequires:	autoconf
BuildRequires:	automake
#BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
Gm3u is an MP3 play-list editor made with GTK+ toolkit and the Gome
libraries. It allow you to create and edit play-lists. The play-lists
are stored as text files and can be used with most MP3 players.
FEATURES MP3 files can be selected in a file browser and then added
either to an existing play-list, or a new play-list will be created
from scratch. Songs can be removed, moved up, moved down, moved to the
end or to the beginning of the play-list. If available, the ID3 tag of
the MP3 file will be displayed when the file is selected. Single songs
can be played with an external MP3 player.

%description -l pl
Gm3u jest edytorem list plikw mp3 do odtwarzania; zosta napisany z
wykorzystaniem GTK+ i bibliotek GNOME. Pozwala tworzy i edytowa
listy plikw do odtworzenia; s one przechowywane w plikach tekstowych
obsugiwanych przez wiekszo odtwarzarek MP3. Funkcje: mozna
zaznaczy pliki mp3 w przegldarce plikw i albo ddodac je do
istniejcej listy plikw, albo utworzy now list. Mona usuwa i
przesuwa utwory w kolejce. Jeli plik MP3 zawiera tag ID3, bdzie on
wywietlony podczas wyboru pliku. Pojedyncze pliki mona odgrywac za
pomoc zewntrznej odtwarzarki.

%prep
%setup -q

%build
rm -f missing
#echo | gettextize --copy --force
%{__aclocal} -I macros
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

#%files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{_bindir}/gm3u

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gm3u.spec,v $
Revision 1.26  2004/04/26 15:39:21  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.25  2003/08/26 20:31:19  ankry
- s/[Gg]nome/GNOME/

Revision 1.24  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 05:48:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/01/18 22:48:36  juandon
- removed two lines with define

Revision 1.21  2002/12/28 01:38:09  qboosh
- use new Group: X11/Applications/Sound

Revision 1.20  2002/11/27 20:15:40  juandon
- new %%doc

Revision 1.19  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/05/21 23:13:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/25 16:25:17  arturs
fixed a small typo

Revision 1.16  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:13:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/12/14 04:37:25  kloczek
- added regenerate ac/am files.

Revision 1.12  2001/11/28 16:00:35  qboosh
- moved %%configure from %%prep to %%build; added pl summary; release 3

Revision 1.11  2000/10/29 16:27:03  kloczek
- commented out using %%find_land macro (current version haven't intl
  resources).

Revision 1.10  2000/10/29 16:06:39  kloczek
- fixed BuildRequires rule for gnome-libs-devel.

Revision 1.9  2000/10/29 14:36:45  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.8  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:46:00  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/31 21:14:43  arturs
- added %description -l pl

Revision 1.3  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.2  2000/03/26 14:10:59  kloczek
- completly rewrited in PLD style.
